---
- hosts: all
  tasks:
  - name: Ensure package is installed
    when: inventory_hostname != 'localhost'
    package: name=unattended-upgrades

  - name: Set periodic install interval
    when: inventory_hostname != 'localhost'
    lineinfile:
      path: /etc/apt/apt.conf.d/20auto-upgrades
      regexp: '^APT::Periodic::Unattended-Upgrade '
      line: 'APT::Periodic::Unattended-Upgrade "{{ majlinux_interval | default("1") }}";'

#(does not work)
#  - name: Remove Origins-Pattern default block
#    when: inventory_hostname != 'localhost'
#    replace:
#      path: /etc/apt/apt.conf.d/50unattended-upgrades
#      after: |-
#        \s*Unattended-Upgrade::Origins-Pattern\s*\u007b
#      before: |-
#        \u007d;
#      regexp: |-
#        [(?:.|\s)+
#      replace: "#DELME-Ansible"
#
#  - name: Clean up 50unattended-upgrades
#    when: inventory_hostname != 'localhost'
#    lineinfile:
#      path: /etc/apt/apt.conf.d/50unattended-upgrades
#      state: absent
#      regexp: "#DELME-Ansible"
#(/does not work)

  - name: Remove Origins-Pattern and Allowed-Origins default block part 1
    when: inventory_hostname != 'localhost'
    command:
      cmd: |-
        /usr/bin/awk '/^Unattended-Upgrade::(Origins-Pattern|Allowed-Origins) [{]$/ {status=120; skip=1}
        /^[}];$/ && skip==1 {skip=2}
        skip==0{print}
        skip==2{skip=0}
        END {exit status}' /etc/apt/apt.conf.d/50unattended-upgrades
      strip_empty_ends: no
    changed_when: transform_unmanaged_command.rc == 120
    failed_when: transform_unmanaged_command.rc not in (0, 120)
    register: transform_unmanaged_command

  - name: Remove Origins-Pattern and Allowed-Origins default block part 2
    when: inventory_hostname != 'localhost' and transform_unmanaged_command.rc == 120
    copy: content="{{ transform_unmanaged_command.stdout }}" dest=/etc/apt/apt.conf.d/50unattended-upgrades

  - name: Set Origins-Pattern (glob expressions for packages to install)
    when: inventory_hostname != 'localhost'
    blockinfile:
      path: /etc/apt/apt.conf.d/50unattended-upgrades
      block: "{{ lookup('template', './templates/majlinux_pattern.j2') }}"
      marker: "# {mark} ANSIBLE MANAGED BLOCK Origins-Pattern"


#TODO